#  Copyright (C) 2020, 2019 Girish M
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
# 
num_of_discs = input("Enter the number of discs: ")

def towerOfHanoi(num_of_discs, A, C, B):
    if num_of_discs < 1:
        print "Please enter number that is 1 or more"
    if num_of_discs == 1:
        print "Move disc 1 from ", A, "to ", C
    else:
        towerOfHanoi(num_of_discs-1, A, B, C)
        print "Move disc", num_of_discs, "from ", A, "to ", C
        towerOfHanoi(num_of_discs-1, B, C, A)

towerOfHanoi(num_of_discs, "A", "C", "B")

